Bug 98986 - Mailmerge - modifying documents with "Edit Individual Documents" before sending/printing is not possible from 5.2
Summary: Mailmerge - modifying documents with "Edit Individual Documents" before sendi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112686 (view as bug list)
Depends on:
Blocks: HelpGaps-NewFeatures Mail-Merge
  Show dependency treegraph
 
Reported: 2016-03-30 14:01 UTC by Oliver Specht (CIB)
Modified: 2019-02-24 03:40 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Specht (CIB) 2016-03-30 14:01:56 UTC
- Run & finish mail merge wizard
You find out, that it might be necessary to edit some of the resulting documents so you call "Edit Individual Documents" 
You can only close what you see if you either throw your changes away or save the document you see. Now you decide to call "Save Merged Documents" 
-> the resulting documents are created again and you are no able to modify them before they are saved. The same applies to Printing/e-Mailing
Comment 1 Jan Holesovsky 2016-04-08 10:07:45 UTC
Oliver: This is deliberate change to the workflow.

After "Edit Individual Documents", the user can do changes in that resulting document (if they wish to), but this document is not a MM document any more.  If the user wants to save a document with modifications, he/she should use the normal "Save" (or "Print" or "Email") operation, not the "Save Merged Documents" or anything like that.

This behaviour is consistent with other office packages.

I suppose that this needs update in the documentation though - Olivier, can you please have a look?
Comment 2 Oliver Specht (CIB) 2016-04-08 11:35:29 UTC
The idea in the mail merge wizard about editing the result was to enable the user to see what's been done before the document is actually sent or printed. 
Also changes to certain addressees where possible.
This function has been removed.

Additionally saving/printing normally does not support breaking up the merge results at the correct position. In Printing it is not a big problem but if you want to create single documents you have to do it manually.
Comment 3 QA Administrators 2017-10-23 13:58:49 UTC Comment hidden (obsolete)
Comment 4 Timur 2017-12-29 15:41:22 UTC
*** Bug 112686 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2019-02-24 03:40:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug